import { AngularTreeGridService } from '../angular-tree-grid.service';
import { Configs } from '../models/Configs.model';
export declare class Store {
    private angularTreeGridService;
    processed_data: any[];
    raw_data: any[];
    display_data: any[];
    configs: Configs;
    constructor(angularTreeGridService: AngularTreeGridService);
    getRawData(): any[];
    setRawData(raw_data: any): void;
    getProcessedData(processed_data: any): any[];
    setProcessedData(processed_data: any): void;
    getDisplayData(): any[];
    setDisplayData(display_data: any): void;
    filterBy(fields: any, search_values: any): void;
    selectAll(): void;
    deSelectAll(): void;
    findTopParentNode(data: any, configs: any): any[];
    processData(data: any, expand_tracker: any, configs: any, edit_tracker: any, internal_configs: any): void;
    findChildren(data: any, id: any, configs: any): any;
    orderData(data: any, processed_data: any, configs: any, parents: any, paths: any, levelx: any): void;
}
